Name: ulog-acctd
Summary: ulog-acctd - A userspace network accounting daemon
Version: 0.4.3
Release: alt1
License: GPL
Group: System/Servers
Url: http://alioth.debian.org/projects/pkg-ulog-acctd
Source0: %{name}_%version.orig.tar.gz
Source1: ulog-acctd.init
Source2: ulog-acctd.logrotate
Source3: billing-example.tar.bz2
Patch0: ulog-acctd-logfile-perms.patch
Patch1: ulog-acctd-makefile.patch

%description
ulog-acctd is a userspace network accounting daemon which
generates log files of network traffic for accounting purposes.

%prep
%setup -n %name-%version.orig
%patch0
%patch1
pushd contrib
tar -jxvf %SOURCE3
popd

%build
pushd src
%make_build
popd
pushd doc
makeinfo --no-headers -o - ulog-acctd.texi > README
makeinfo --no-split ulog-acctd.texi
popd

%install
%__mkdir_p %buildroot%_initdir
%__mkdir_p %buildroot%_sysconfdir/logrotate.d
%__mkdir_p %buildroot%_sbindir
%__mkdir_p %buildroot%_infodir
%__mkdir_p %buildroot%_man8dir
%__mkdir_p %buildroot%_logdir/%name
%__install doc/ulog-acctd.8 %buildroot%_man8dir/ulog-acctd.8
%__install -m644 doc/ulog-acctd.info %buildroot%_infodir/ulog-acctd.info
%__install -m755 src/ulog-acctd %buildroot%_sbindir/ulog-acctd
%__install -m644 src/ulog-acctd.conf %buildroot%_sysconfdir/ulog-acctd.conf
%__install -m755 %SOURCE1 %buildroot%_initdir/%name
%__install -m620 %SOURCE2 %buildroot%_sysconfdir/logrotate.d/%name

%post
%post_service ulog-acctd
%install_info ulog-acctd.info

%preun
%preun_service ulog-acctd
%uninstall_info ulog-acctd.info

%files
%_sbindir/ulog-acctd
%config %_sysconfdir/ulog-acctd.conf
%_initdir/%name
%_sysconfdir/logrotate.d/%name
%_mandir/man8/*
%_infodir/*
%dir %_logdir/%name

%doc doc/README COPYING contrib

%changelog
* Wed Sep 06 2006 Eugene Prokopiev <enp@altlinux.ru> 0.4.3-alt1
- First build for Sisyphus

* Tue Dec 20 2005 Eugene Prokopiev <enp@altlinux.ru> 0.4.3-alt0.M24.1
- First build for ALM 2.4 with billing example
  This work based on my previous build for ALM 2.2 with many changes
  Thanks to Pavel Usishev <usishev@yandex.ru>
